
Application: gvSIG desktop - gvSIG bugs #2164
Fallo al cargar shape:  Name descriptor duplicated.
12/20/2013 05:55 PM - José Vicente Higón

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Al cargar el shapefile que se adjunta da la siguiente excepción:

aused by: Error while executing an action in resource 'MultiResource /home/jvhigon/error_gvsig_2.shp::
FileResource(/home/jvhigon/error_gvsig_2.shp), FileResource(/home/jvhigon/error_gvsig_2.shx),
FileResource(/home/jvhigon/error_gvsig_2.dbf) (default)'.
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:307)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.getTheFeatureType(DBFStoreProvider.java:384)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.getTheFeatureType(SHPStoreProvider.java:256)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.initFeatureType(DBFStoreProvider.java:367)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.init(DBFStoreProvider.java:162)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.init(SHPStoreProvider.java:107)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.<init>(DBFStoreProvider.java:143)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.<init>(SHPStoreProvider.java:96)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProviderFactory.createProvider(SHPStoreProviderFactory.java:68)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.createProvider(DefaultDataManager.java:726)
    ... 8 more
Caused by: java.lang.RuntimeException: Name descriptor codestreet duplicated.
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.add(DefaultEditableFeatureType.java:162)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.add(DefaultEditableFeatureType.java:201)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider$2.run(DBFStoreProvider.java:423)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:316)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:305)

History
#1 - 12/23/2013 09:11 AM - Juan Lucas Domínguez
- Status changed from New to Won't fix

A DBF file with a duplicated column name is considered to be corrupt. You can add this as a feature request.

#2 - 01/13/2014 09:51 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

Files
error_gvsig.zip 1.7 KB 12/20/2013 José Vicente Higón
